Bug 1874192 - [RFE] "Create Backing Store" page doesn't allow to select already defined k8s secret as target bucket credentials when Google Cloud Storage is selected as a provider [NEEDINFO]
Summary: [RFE] "Create Backing Store" page doesn't allow to select already defined k8s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Bipul Adhikari
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Depends On:
Blocks: 1874367
TreeView+ depends on / blocked
 
Reported: 2020-08-31 17:20 UTC by Martin Bukatovic
Modified: 2021-02-24 15:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1874367 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:16:47 UTC
Target Upstream Version:
badhikar: needinfo? (ygalanti)


Attachments (Terms of Use)
verification screenshot: Create new backing store page allows to select k8s secret with credentials now as expected (194.32 KB, image/png)
2021-02-04 23:20 UTC, Martin Bukatovic
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8002 0 None open Bug 1874192: Add support for creation of GCP BS with a pre-created secret 2021-02-01 12:19:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:17:27 UTC

Description Martin Bukatovic 2020-08-31 17:20:17 UTC
Description of problem
======================

When one opens "Create new Backing Store" form and selects "Google cloud
storage" as a provider, it's no longer possible to select k8s secret with
credentials. User can only select a file with credentials to be loaded.

This behavior is unique for GCP platform. For all other cloud storage
providers available in this form:

- AWS S3
- S3 Compatible
- Azure blob
- IBM COS

The form shows "secret" form field, with an option to switch to credentials
mode.

I reported this bug based on OCS MCG dev's team evaluation of BZ 1873646:

https://bugzilla.redhat.com/show_bug.cgi?id=1873646#c3

Which suggests that user should have both options available (selecting either
already created secret or create new one).

Version-Release number of selected component
============================================

OCP: 4.5.0-0.ci-2020-08-31-005035
OCS: 4.5.0-543.ci

How reproducible
================

3/3

Steps to Reproduce
==================

1. Install OCP/OCS cluster 
2. Open OCP Console, and navigate to OCS operator
3. Go to "Backing Store" tab (where you will see list of backing stores,
   such as noobaa-default-backing-store)
4. Click on "Create Backing Store" button
5. In "Create new Backing Store" page,
   for provider select "Google cloud storage"

Actual results
==============

With "Google cloud storage" as selected provider, it's not possible to chose
k8s secret with authentication details for MCG to control the target bucket.

Expected results
================

User can specify the credentials for the storage bucket via both:

- already existing k8s secret
- entering/loading new secret via "credentials" mode

as is the case for all other platforms available in this form.

Comment 1 Nishanth Thomas 2020-09-14 11:58:00 UTC
Waiting on UXD, moving out of 4.6

Comment 3 Bipul Adhikari 2021-01-04 12:23:04 UTC
This cannot be fixed until https://bugzilla.redhat.com/show_bug.cgi?id=1912421

Comment 4 Bipul Adhikari 2021-02-01 12:18:24 UTC
Apparently, 1912421 is not required for this. Removing it as dependency. Moving it to assigned. And re-targeted for 4.7.

Comment 6 Martin Bukatovic 2021-02-04 23:18:46 UTC
Using OCP 4.7.0-0.nightly-2021-02-04-132953 on GCP, I installed OCS 4.7.0-250.ci and was able to create new noobaa backing store via "Create Backing Store" page, reusing already existing k8s secret (created during installation for the default backing store). The new backing store then reached "Ready" state.

Verified.

Comment 7 Martin Bukatovic 2021-02-04 23:20:47 UTC
Created attachment 1755140 [details]
verification screenshot: Create new backing store page allows to select k8s secret with credentials now as expected

Comment 10 errata-xmlrpc 2021-02-24 15:16:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.